Skip to Content
kosemdocs
ReferenceAPISecrets

List secrets in organization

Lists the secrets of an organization, or of a project: its own and those its organization shares with it.

GET
/v1/organizations/{organization}/secrets

Lists the secrets of an organization, or of a project: its own and those its organization shares with it.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

secrets*array<>

Secrets, oldest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/secrets'
Example Response
{
  "nextPageToken": "string",
  "secrets": [
    {
      "alias": "string",
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "etag": "string",
      "latestVersion": 0,
      "name": "string",
      "source": "string",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ]
}